Payer Information
Get payer information
Returns PIX payer details for a PAID sale identified by sale_uuid.
GET
/
v1.1
/
transactions
/
{sale_uuid}
/
payment_info
Get payer information
curl --request GET \
--url https://api.paymee.com.br/v1.1/transactions/{sale_uuid}/payment_info \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-token: <x-api-token>'import requests
url = "https://api.paymee.com.br/v1.1/transactions/{sale_uuid}/payment_info"
headers = {
"x-api-key": "<x-api-key>",
"x-api-token": "<x-api-token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', 'x-api-token': '<x-api-token>'}
};
fetch('https://api.paymee.com.br/v1.1/transactions/{sale_uuid}/payment_info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"message": "success",
"sale_id": 17403215,
"payment_bank": "PIX",
"end_to_end": "E60701190202206091923DY53C3Y9TIN",
"payer": {
"document": "00000000000",
"name": "JOHN DOE"
}
}{
"status": -1,
"message": "sale must be PAID",
"errorCount": 1,
"errors": [
{
"field": "sale_uuid",
"message": "the transaction status must be 'PAID'"
}
]
}{
"errorCount": 1,
"errors": [
{
"error": "Forbidden",
"message": "Access Denied"
}
],
"message": "field validation failure",
"status": -1
}{
"status": 998,
"message": "transaction not found",
"errorCount": 1,
"errors": [
{
"field": "sale_uuid",
"message": "the sale informed does not exist"
}
]
}Headers
Example:
"{{x-api-key}}"
Example:
"{{x-api-token}}"
Path Parameters
UUID of the PAID sale
Response
Success Response
Response status code
Available options:
0, -1, 998 Example:
0
Example:
"success"
Requested sale ID
Example:
17403215
Payment method (always PIX)
Example:
"PIX"
BC endToEndId (PIX payment identifier)
Example:
"E60701190202206091923DY53C3Y9TIN"
Show child attributes
Show child attributes
Previous
Variable Amount (Dynamic Pricing)Recurring charges that follow the current plan amount — update the plan, next charges follow
Next
⌘I
Get payer information

